import _extends from "@babel/runtime/helpers/esm/extends";
import React, { forwardRef } from 'react';
import SvgIcon from '../SvgIcon';

var _ref2 = /*#__PURE__*/React.createElement("rect", {
  width: "24",
  height: "24",
  opacity: "0"
});

var _ref3 = /*#__PURE__*/React.createElement("path", {
  d: "M20.71 19.29l-3.4-3.39A7.92 7.92 0 0 0 19 11a8 8 0 1 0-8 8 7.92 7.92 0 0 0 4.9-1.69l3.39 3.4a1 1 0 0 0 1.42 0 1 1 0 0 0 0-1.42zM5 11a6 6 0 1 1 6 6 6 6 0 0 1-6-6z"
});

const IconSearch = /*#__PURE__*/forwardRef((_ref, ref) => {
  let rest = _extends({}, _ref);

  return /*#__PURE__*/React.createElement(SvgIcon, _extends({}, rest, {
    ref: ref
  }), _ref2, _ref3);
});
IconSearch.displayName = 'IconSearch';
export default IconSearch;